@extends('resource.index')
@php
$links['create'] = guard_url('media_request/media_request/create');
$links['search'] = guard_url('media_request/media_request');
@endphp

@section('icon') 
<i class="pe-7s-display2"></i>
@stop

@section('title') 
{!! __('media_request::media_request.title.main') !!}
@stop

@section('sub.title') 
{!! __('media_request::media_request.title.list') !!}
@stop

@section('breadcrumb') 
  <li><a href="{!!guard_url('/')!!}">{{ __('app.home') }}</a></li>
  <li><a href="{!!guard_url('media_request/media_request')!!}">{!! __('media_request::media_request.name') !!}</a></li>
  <li>{{ __('app.list') }}</li>
@stop

@section('entry') 
<div id="entry-form">

</div>
@stop

@section('list')
    @include('media_request::media_request.partial.list.' . $view, ['mode' => 'list'])
@stop

@section('pagination') 
    {!!$media_requests->links()!!}
@stop

@section('script')

@stop

@section('style')

@stop 
