@extends('resource.show')

@php
$links['back'] = guard_url('media_request/media_request');
$links['edit'] = guard_url('media_request/media_request') . '/' . $media_request->getRouteKey() . '/edit';
@endphp

@section('icon') 
<i class="pe-7s-display2"></i>
@stop

@section('title') 
{!! __('media_request::media_request.title.main') !!}
@stop

@section('sub.title') 
{!! __('media_request::media_request.title.show') !!}
@stop

@section('breadcrumb') 
  <li><a href="{!!guard_url('/')!!}">{{ __('app.home') }}</a></li>
  <li><a href="{!!guard_url('$media_request/media_request')!!}">{!! __('media_request::media_request.name') !!}</a></li>
  <li>{{ __('app.show') }}</li>
@stop

@section('tabs') 
@stop

@section('tools') 
    <a href="{!!guard_url('$media_request/media_request')!!}" rel="tooltip" class="btn btn-white btn-round btn-simple btn-icon pull-right add-new" data-original-title="" title="">
            <i class="fa fa-chevron-left"></i>
    </a>
@stop

@section('content') 
    @include('media_request::media_request.partial.show', ['mode' => 'show'])
@stop
